Ethereal zero-length presentation protocol selector denial of service

ethereal-zero-presentation-dos (15570) The risk level is classified as MediumMedium Risk

Description:

Ethereal is vulnerable to a denial of service. By using a zero-length presentation protocol selector, a remote attacker could cause Ethereal to crash.


Consequences:

Denial of Service

Remedy:

Upgrade to the latest version of Ethereal (0.10.3 or later), when it becomes available from the Ethereal Web site. See References.

For Conectiva Linux:
Upgrade to the latest ethereal package, as listed below. Refer to Conectiva Linux Security Announcement CLSA-2004:835 for more information. See References.

Conectiva Linux 8 and 9: 0.10.3-27097U90_2cl or later

For Red Hat Linux 9:
Upgrade to the latest ethereal package (0.10.3-0.90.1 or later), as listed in RHSA-2004:137-07. See References.

For other distributions:
Contact your vendor for upgrade or patch information.

References:

Platforms Affected:

  • Conectiva Linux 8.0
  • Conectiva Linux 9.0
  • Ethereal Ethereal 0.8.13 - 0.10.2
  • Gentoo Linux
  • MandrakeSoft Mandrake Linux 9.1 PPC
  • MandrakeSoft Mandrake Linux 9.1
  • MandrakeSoft Mandrake Linux 9.2
  • MandrakeSoft Mandrake Linux 9.2 AMD64
  • Novell SuSE Linux Enterprise Server 7.0
  • RedHat Enterprise Linux 2.1 ES
  • RedHat Enterprise Linux 2.1 WS
  • RedHat Enterprise Linux 2.1 AS
  • RedHat Enterprise Linux 3 WS
  • RedHat Enterprise Linux 3 ES
  • RedHat Enterprise Linux 3 AS
  • RedHat Linux 9.0
  • RedHat Linux Advanced Workstation 2.1 Itanium
  • SUSE SuSE Linux 9.0
  • SUSE SuSE Linux 9.1
  • SuSE SuSE Linux Connectivity Server
  • SuSE SuSE Linux Database Server
  • SuSE SuSE Linux Office Server

Reported:

Mar 22, 2004

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page